Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027236
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-07-30 13:582014-08-08 18:54
Reportereduardo_ArgalView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisiond302a0eab5d3
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027236: Process Definition defaults are not calculated if role inherits access to process from window access

DescriptionProblem in BaseProcessActionHandler when retrieving windowId value from parameters.
code is expecting a parameter called 'windowId' when executing method hasAccess, but in the parameters we receive a propperty called 'inpwindowid' inside context object
Steps To ReproduceUsing finance role move to purchase invoice window and try to add a payment.
Realize that the window opens but no defaults are set.
Mind the log to see there are no permissions to execute Add Payment process.
Verify that window access is granted to the role, and so permissions for processed inside the window should be as well granted
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027325 closedAugustoMauch int-basic CI test randomly fail 
related to defect 00313863.0PR16Q1 closedaferraz Error shown in Add Payment when role has no access to Financial Account window 

-  Notes
(0068981)
alostale (developer)
2014-07-30 15:47

Not a regression: it never calculated defaults if role didn't have explicit access to the process
(0068984)
hgbot (developer)
2014-07-30 15:51

Repository: erp/devel/pi
Changeset: d302a0eab5d36c6a7e15fc16ea8859df879f763e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 30 15:49:15 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d302a0eab5d36c6a7e15fc16ea8859df879f763e [^]

fixed bug 27236: Process Definition defaults are not calculated
if role inherits access to process from window access

setting windowId parameter in defaults request

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0068997)
shankarb (developer)
2014-07-31 06:38

Code reviewed and verified in pi changeset be933e11432c.
(0069246)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-30 13:58 eduardo_Argal New Issue
2014-07-30 13:58 eduardo_Argal Assigned To => alostale
2014-07-30 13:58 eduardo_Argal Modules => Core
2014-07-30 13:58 eduardo_Argal Regression level => Pre packaging ( pi )
2014-07-30 13:58 eduardo_Argal Regression introduced in release => pi
2014-07-30 13:58 eduardo_Argal Triggers an Emergency Pack => No
2014-07-30 15:47 alostale Regression level Pre packaging ( pi ) =>
2014-07-30 15:47 alostale Regression introduced in release pi =>
2014-07-30 15:47 alostale Note Added: 0068981
2014-07-30 15:47 alostale Summary Problem in BaseProcessActionHandler when retrieving windowId value from parameters => Process Definition defaults are not calculated if role inherits access to process from window access
2014-07-30 15:51 hgbot Checkin
2014-07-30 15:51 hgbot Note Added: 0068984
2014-07-30 15:51 hgbot Status new => resolved
2014-07-30 15:51 hgbot Resolution open => fixed
2014-07-30 15:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d302a0eab5d36c6a7e15fc16ea8859df879f763e [^]
2014-07-30 15:53 alostale Review Assigned To => shankarb
2014-07-31 06:38 shankarb Note Added: 0068997
2014-07-31 06:38 shankarb Status resolved => closed
2014-07-31 06:38 shankarb Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069246
2014-08-13 17:28 alostale Relationship added related to 0027325
2015-11-06 10:33 aferraz Relationship added related to 0031386


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker